.lostAndFound {
  display: flex;
  justify-content: space-evenly;
  align-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  padding-top: 30rem;
  background: #1d1d1d url("/assets/images/404/404BG.png") no-repeat fixed center;
  color: #d8d6d6;

  padding-bottom: 21rem;
  #lost404 {
    width: 40vw;
    height: 40vw;
  }
}
@media (max-width: $bp-movil-lg) {
  .lostAndFound {
    flex-direction: column;
    padding-top: 5rem;
    padding-bottom: 10rem;
    width: 72vh;
    justify-content: safe;
    #lost404 {
      width: 40vw;
      height: 40vw;
    }
  }
}
///////////////////////////////77
.row {
  margin-right: 0 !important;
  margin-left: 0 !important;
  width: 100% !important;
}
#header {
  canvas {
    elemento {
      width: 100% !important;
    }
  }
}
form {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

}

@media (min-width: $bp-movil-sm) {
  .form {
    width: 65vw;
  }
  .form-control {
    width: 20rem;
  }
  p {
    font-size: 1rem;
    line-height: 1.5;
    margin-bottom: 20px;
    text-align: justify;
  }
}

.navbar-default .navbar-toggle {
  border-color: transparent;
}
.navbar-default .navbar-toggle .icon-bar {
  background-color: $theme-lila;
}
.navbar-default .navbar-toggle:hover .icon-bar {
  background-color: $theme-bg;
}
.navbar-default .navbar-toggle:focus,
.navbar-default .navbar-toggle:hover {
  background-color: #8b61ff73;
}
.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl {
  padding-right: 0px !important;
  padding-left: 0px !important;
}
html,
body {
  height: 100%;
  width: 100%;
}

body {
  @include serif-font;
}

hr {
  border-color: $theme-primary;
  border-width: 3px;
  max-width: 50px;
}

hr.light {
  border-color: white;
}

a {
  @include transition-all;
  color: $theme-cyan;

  &:hover,
  &:focus {
    color: darken($theme-primary, 10%);
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  @include sans-serif-font;
}

h1 {
  text-transform: uppercase;
  font-weight: 800;
  font-size: 10rem;
}
@media (max-width: 500px) {
  h1 {
    text-transform: uppercase;
    font-weight: 800;
    font-size: 5rem;
  }
}

h3 {
  font-weight: 600;
}

p {
  font-size: 2rem;
  line-height: 1.5;
  margin-bottom: 20px;
  text-align: justify;
}

.bg-primary {
  background: $theme-bg;
  background: -moz-linear-gradient(
    top,
    rgba(66, 9, 146, 1) 31%,
    rgba(29, 102, 183, 1) 74%,
    rgba(6, 158, 205, 1) 100%
  );
  background: -webkit-gradient(
    left top,
    left bottom,
    color-stop(31%, rgba(66, 9, 146, 1)),
    color-stop(74%, rgba(29, 102, 183, 1)),
    color-stop(100%, rgba(6, 158, 205, 1))
  );
  background: -webkit-linear-gradient(
    top,
    rgba(66, 9, 146, 1) 31%,
    rgba(29, 102, 183, 1) 74%,
    rgba(6, 158, 205, 1) 100%
  );
  background: -o-linear-gradient(
    top,
    rgba(66, 9, 146, 1) 31%,
    rgba(29, 102, 183, 1) 74%,
    rgba(6, 158, 205, 1) 100%
  );
  background: -ms-linear-gradient(
    top,
    rgba(66, 9, 146, 1) 31%,
    rgba(29, 102, 183, 1) 74%,
    rgba(6, 158, 205, 1) 100%
  );
  background: linear-gradient(
    to bottom,
    rgba(66, 9, 146, 1) 31%,
    rgba(29, 102, 183, 1) 74%,
    rgba(6, 158, 205, 1) 100%
  );
}

.btn-info {
  background: $theme-primary;

  &:hover {
    color: $theme-primary;
    background: $theme-acents;
  }
}
.bg-dark {
  background-color: $theme-bg;
  color: white;
}

.text-faded {
  color: rgba(white, 0.7);
}

section {
  padding: 15rem 5rem;
}

aside {
  padding: 50px 0;
}

.no-padding {
  padding: 0;
}

// Navigation
.logo {
  max-height: 33px;
  max-width: 100%;
}
.navbar {
  margin-bottom: 0px !important;
  .navbar-brand {
    margin-left: 1rem;
    padding: 0;
  }
}

.navbar-default {
  border-color: $theme-contrast;
  background: #171717;
  background: rgba($theme-dark, 1);
  border-color: rgba($theme-purple, 0.3);
  @include sans-serif-font;
  padding: 1rem 3rem;
  @include transition-all;

  .navbar-header .navbar-brand {
    color: $theme-primary;
    @include sans-serif-font;
    font-weight: 700;

    text-transform: uppercase;

    &:hover,
    &:focus {
      color: darken($theme-primary, 10%);
    }
  }

  .navbar-brand {
    img {
      height: 5rem;
      width: 5rem;
    }
  }

  .nav {
    > li {
      > a,
      > a:focus {
        text-transform: uppercase;
        font-weight: 700;
        font-size: 1.7rem;
        color: white;

        &:hover {
          color: $theme-cyan;
        }
      }

      &.active {
        > a,
        > a:focus {
          color: $theme-primary !important;
          background-color: transparent;

          &:hover {
            background-color: transparent;
          }
        }
      }
    }
  }

  @media (min-width: 768px) {
    background-color: rgba($theme-bg, 1);
    border-color: rgba($theme-purple, 0.3);

    .navbar-header .navbar-brand {
      color: rgba($theme-bg, 0.7);

      &:hover,
      &:focus {
        color: white;
      }
    }

    .nav > li > a,
    .nav > li > a:focus {
      color: rgba(white, 0.7);

      &:hover {
        color: white;
      }
    }

    &.affix {
      background-color: rgba($theme-dark, 0.7);
      border-color: rgba($theme-dark, 0.5);

      .navbar-header .navbar-brand {
        color: $theme-primary;
        font-size: 14px;

        &:hover,
        &:focus {
          color: darken($theme-primary, 10%);
        }
      }

      .nav > li > a,
      .nav > li > a:focus {
        color: $theme-base;

        &:hover {
          color: $theme-acents;
        }
      }
    }
  }
}

// Homepage Header
.header-img {
  img {
    width: 25vw;
    height: 25vw;
  }
}

header {
  position: relative;
  width: 100%;
  height: 100vh;
  @include background-cover;
  background-position: center;
  background-image: url("../img/head.jpeg");

  text-align: center;
  color: white;

  .header-content {
    position: relative;
    text-align: center;
    padding: 100px 15px 100px;
    width: 100%;

    .header-content-inner {
      .img-header {
        max-height: auto;
        margin-top: 60px;
        max-width: 150px;
        display: inline;
      }

      #shadow {
        max-height: 150px;
        -webkit-box-shadow: 0px 0px 106px -9px rgba(200, 0, 210, 1);
        -moz-box-shadow: 0px 0px 106px -9px rgba(200, 0, 210, 1);
        box-shadow: 0px 0px 106px -9px rgba(200, 0, 210, 1);
        border-radius: 50%;
      }

      h1 {
        font-weight: 700;
        text-transform: uppercase;
        margin-top: 0;
        margin-bottom: 0;
      }

      hr {
        margin: 30px auto;
      }

      p {
        font-weight: 300;
        color: rgba(white, 0.7);
        font-size: 16px;
        margin-bottom: 50px;
      }
    }
  }

  @media (min-width: 768px) {
    min-height: 100%;

    .header-content {
      position: absolute;
      top: 50%;
      -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
      transform: translateY(-50%);
      padding: 0 50px;

      .header-content-inner {
        max-width: 1000px;
        margin-left: auto;
        margin-right: auto;

        p {
          font-size: 18px;
          max-width: 80%;
          margin-left: auto;
          margin-right: auto;
        }
      }
    }
  }
}

// Sections

@for $i from 1 through 12 {
  .col-md-#{$i} {
    //background: palevioletred;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    flex-direction: column;
  }
}

.section-heading {
  margin-top: 0;
}

.service-box {
  max-width: 400px;
  margin: 50px auto 0;

  @media (min-width: 992px) {
    margin: 20px auto 0;
  }

  p {
    margin-bottom: 0;
  }
}

.portfolio-box {
  position: relative;
  display: block;
  max-width: 650px;
  margin: 0 auto;

  .portfolio-box-caption {
    color: white;
    opacity: 0;
    display: block;
    background: rgba($theme-primary, 0.9);
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
    height: 100%;
    @include transition-all;

    .portfolio-box-caption-content {
      width: 100%;
      text-align: center;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);

      .project-category,
      .project-name {
        @include sans-serif-font;
        padding: 0 15px;
      }

      .project-category {
        text-transform: uppercase;
        font-weight: 600;
        font-size: 14px;
      }

      .project-name {
        font-size: 18px;
      }
    }
  }

  &:hover {
    .portfolio-box-caption {
      opacity: 1;
    }
  }

  @media (min-width: 768px) {
    .portfolio-box-caption {
      .portfolio-box-caption-content {
        .project-category {
          font-size: 16px;
        }

        .project-name {
          font-size: 22px;
        }
      }
    }
  }
}

.call-to-action {
  h2 {
    margin: 0 auto 20px;
  }

  .perfil {
    border-radius: 50%;
    max-height: 150px;
    max-width: 150px;
    display: inline;
  }
}

// Bootstrap Overrides
.text-primary {
  color: $theme-primary;
}

.no-gutter > [class*="col-"] {
  padding-right: 0;
  padding-left: 0;
}

// Button Styles
.btn-default {
  @include button-variant($theme-dark, white, white);
}

.btn-primary {
  @include button-variant(white, $theme-purple, $theme-purple);
}

.btn {
  @include sans-serif-font;
  border: none;
  border-radius: 300px;
  font-weight: 700;
  text-transform: uppercase;
}

.btn-xl {
  padding: 15px 30px;
}

// Contact
#contact .fa {
  color: $theme-dark;
  font-size: 4em;
}

// Extras
// -- Highlight Color Customization
::-moz-selection {
  color: white;
  text-shadow: none;
  background: $theme-dark;
}

::selection {
  color: white;
  text-shadow: none;
  background: $theme-dark;
}

img::selection {
  color: white;
  background: transparent;
}

img::-moz-selection {
  color: white;
  background: transparent;
}

body {
  -webkit-tap-highlight-color: $theme-dark;
}

@-webkit-keyframes AnimationFlickity {
  0% {
    background-position: 19% 0%;
  }

  50% {
    background-position: 82% 100%;
  }

  100% {
    background-position: 19% 0%;
  }
}

@-moz-keyframes AnimationFlickity {
  0% {
    background-position: 19% 0%;
  }

  50% {
    background-position: 82% 100%;
  }

  100% {
    background-position: 19% 0%;
  }
}

@keyframes AnimationFlickity {
  0% {
    background-position: 19% 0%;
  }

  50% {
    background-position: 82% 100%;
  }

  100% {
    background-position: 19% 0%;
  }
}

#contact {
  background: url("/assets/images/services-bg.jpg");
  position: top center;
}
#about,
#services {
  background: $theme-bg;
  color: $theme-base;
  display: flex;
  hr {
    color: $theme-purple;
  }
}
.about-wrapper {
  width: 40vw;
  height: 40vw;
  position: relative;
  background: linear-gradient(332deg, #0062ab, #a50c65);

  background-size: 400% 400%;
  -webkit-animation: AnimationFlickity 55s ease infinite;
  -moz-animation: AnimationFlickity 55s ease infinite;
  animation: AnimationFlickity 55s ease infinite;
  border-radius: 50%;
}
#portfolio {
  padding: 0;
  h2 {
    padding-left: 2.5rem;
  }
  .slider {
    padding: 0;
  }
}
#portafolio-slider {
  width: 100%;
}

.carousel-caption p {
  text-align: center;
  align-self: center;
  justify-self: center;
}
@media (max-width: $bp-tablet-lg) {
  #about {
    flex-direction: column-reverse;
  }
  #services {
    flex-direction: column;
  }
  #about,
  #services {
    padding: 3rem 2rem;
    p {
      font-size: 1.5rem;
    }
    h3 {
      font-size: 2rem;
    }
  }
  #header h2,
  #header h1 {
    letter-spacing: 0.1em;
    text-shadow: 0px 4px 6px #420992, 0px 8px 6px rgba(66, 9, 146, 0.79),
      0px 15px 6px rgba(66, 9, 146, 0.62), 0px 20px 6px rgba(66, 9, 146, 0.47),
      0px 20px 6px rgba(66, 9, 146, 0.47);
  }
}
